<html><!-- Generated by makefile do not edit -->
  <body>
    <h1>  Visualisation of a quadlin sigmoid transform adjustment on a mirror transform</h1>
    <ul style='padding-left:50px;'>
     <li>Used class: <a target='_blank' href='https://gitlab.inria.fr/line/aide-group/backwardtuning/-/raw/master/src/sigmoidtransform2simulation.C'>  MirrorOutputQuadLinNLNTransform</a></li>
     <li><a href='#parameters'>Transform parameters</a></li>
     <li><a href='#costs'>Adjustment costs</a></li>
     <li><i>Forward dynamic</i><ul>
       <li><a href="#forward-statistics">statistics</a></li>
       <li><a href="#forward-histogram">histogram</a></li>
       <li><a href="#forward-unit-slices">unit-slices</a></li>
       <li><a href="#forward-time-slices">time-slices</a></li>
     </ul></li>
     <li><i>Backward dynamic</i><ul>
       <li><a href="#backward-statistics">statistics</a></li>
       <li><a href="#backward-histogram">histogram</a></li>
       <li><a href="#backward-unit-slices">unit-slices</a></li>
       <li><a href="#backward-time-slices">time-slices</a></li>
     </ul></li>
     <li><i>Weights adjustment</i><ul>
       <li><a href="#weights-histogram">histogram</a></li>
       <li><a href="#upsilons">upsilons</a></li>
     </ul></li>
     <li><i><a href="#log">Output trace</i></a></li>
     </ul>
<hr/><div id='parameters' style='padding-left:20px;'><b>Transform parameters</b><div style='background-color:light-gray;'>
<style>.wjson {background-color: lightgray; font-weight:bold; display: inline-block; padding:10px; } .wjson .name { font-weight: normal; color: red;} .wjson .value { font-weight: normal; color: green;}</style><div class='wjson'>{<br/>&nbsp;&nbsp;<span class='name'>simulation-name</span>: <span class='value'>servant</span><br/>&nbsp;&nbsp;<span class='name'>MirrorOutputQuadLinNLNTransform</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>NLNTransform</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>AdjustableTransform</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>Transform</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>N</span>: <span class='value'>10</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>T</span>: <span class='value'>20</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>K</span>: <span class='value'>30</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>R</span>: <span class='value'>1</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>K0</span>: <span class='value'>30</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>connections</span>: [<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>0</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>1</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>2</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>3</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>4</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>5</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>6</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>7</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>9</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>8</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>0</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>1</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>2</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>3</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>4</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>5</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>6</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>7</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>8</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ <span class='value'>9</span> <span class='value'>10</span> ]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;]<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>leak</span>: <span class='value'>0</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>Wstdev</span>: <span class='value'>-1</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>QuadLinOutputWeightAdjustment</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>OutputWeightAdjustment</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>WeightAdjustment</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>No</span>: <span class='value'>10</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>w_o</span>: <span class='value'>0.25</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>QuadLinWeightRegularization</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>WeightRegularization</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>upsilon</span>: <span class='value'>9.75294e-9</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>upsilon0</span>: <span class='value'>9.75294e-9</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>W_o</span>: <span class='value'>0.1</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>BufferedOutputWeightAdjustment</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>OutputWeightAdjustment</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>WeightAdjustment</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>No</span>: <span class='value'>10</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>RandomTransformInput</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>TransformInput</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>Ni</span>: <span class='value'>1</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>unique</span>: <span class='value'>true</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;}<br/>}</div>
</div></div>
<hr/><div id='costs' style='padding-left:20px;'><b>Adjustment costs</b><div style='background-color:light-gray;'><img src='servant-costs.png'/></div></div>
<hr/><div id='forward-statistics' style='padding-left:20px;'><b>Forward statistics</b><div style='background-color:light-gray;'>
<style>.wjson {background-color: lightgray; font-weight:bold; display: inline-block; padding:10px; } .wjson .name { font-weight: normal; color: red;} .wjson .value { font-weight: normal; color: green;}</style><div class='wjson'>{<br/>&nbsp;&nbsp;<span class='name'>channel</span>: <span class='value'>servant-forward</span><br/>&nbsp;&nbsp;<span class='name'>count</span>: <span class='value'>200</span><br/>&nbsp;&nbsp;<span class='name'>min</span>: <span class='value'>0.029977</span><br/>&nbsp;&nbsp;<span class='name'>max</span>: <span class='value'>0.844335</span><br/>&nbsp;&nbsp;<span class='name'>mean</span>: <span class='value'>0.392819</span><br/>&nbsp;&nbsp;<span class='name'>stdev</span>: <span class='value'>0.202908</span><br/>&nbsp;&nbsp;<span class='name'>skew</span>: <span class='value'>-0.654058</span><br/>&nbsp;&nbsp;<span class='name'>kurt</span>: <span class='value'>-0.963629</span><br/>&nbsp;&nbsp;<span class='name'>gamma-degree</span>: <span class='value'>3.74789</span><br/>&nbsp;&nbsp;<span class='name'>gamma-rate</span>: <span class='value'>0.104811</span><br/>&nbsp;&nbsp;<span class='name'>uniform-entropy</span>: <span class='value'>-0.508619</span><br/>&nbsp;&nbsp;<span class='name'>normal-entropy</span>: <span class='value'>0.896545</span><br/>&nbsp;&nbsp;<span class='name'>median</span>: <span class='value'>0.486903</span><br/>&nbsp;&nbsp;<span class='name'>lower-quartile</span>: <span class='value'>0.157143</span><br/>&nbsp;&nbsp;<span class='name'>upper-quartile</span>: <span class='value'>0.537431</span><br/>&nbsp;&nbsp;<span class='name'>inter-quartile-range</span>: <span class='value'>0.380288</span><br/>&nbsp;&nbsp;<span class='name'>hsize_from_standard_deviation</span>: <span class='value'>7</span><br/>&nbsp;&nbsp;<span class='name'>hsize_from_inter_quartile_range</span>: <span class='value'>6</span><br/>&nbsp;&nbsp;<span class='name'>hsize</span>: <span class='value'>6</span><br/>&nbsp;&nbsp;<span class='name'>hscale</span>: <span class='value'>6.1398</span><br/>&nbsp;&nbsp;<span class='name'>mode</span>: <span class='value'>0.481267</span><br/>&nbsp;&nbsp;<span class='name'>median_</span>: <span class='value'>0.436125</span><br/>&nbsp;&nbsp;<span class='name'>lower-quartile_</span>: <span class='value'>0.175398</span><br/>&nbsp;&nbsp;<span class='name'>upper-quartile_</span>: <span class='value'>0.547166</span><br/>&nbsp;&nbsp;<span class='name'>inter-quartile-range_</span>: <span class='value'>0.371768</span><br/>&nbsp;&nbsp;<span class='name'>entropy</span>: <span class='value'>-0.820811</span><br/>&nbsp;&nbsp;<span class='name'>uniform-divergence</span>: <span class='value'>0.657709</span><br/>&nbsp;&nbsp;<span class='name'>normal-divergence</span>: <span class='value'>0.548963</span><br/>&nbsp;&nbsp;<span class='name'>gamma-1-divergence</span>: <span class='value'>1.26886</span><br/>&nbsp;&nbsp;<span class='name'>gamma-2-divergence</span>: <span class='value'>1.20323</span><br/>&nbsp;&nbsp;<span class='name'>gamma-5-divergence</span>: <span class='value'>1.05452</span><br/>&nbsp;&nbsp;<span class='name'>gamma-10-divergence</span>: <span class='value'>1.12512</span><br/>&nbsp;&nbsp;<span class='name'>best-model</span>: <span class='value'>0</span><br/>}</div>
</div></div>
<hr/><div id='forward-histogram' style='padding-left:20px;'><b>Global forward histogram</b><div style='background-color:light-gray;'><img src='servant-forward-histogram.png'/></div></div>
<hr/><div id='forward-unit-slices' style='padding-left:20px;'><b>Forward temporal drawing of unit-slices</b><div style='background-color:light-gray;'><img src='servant-forward-unit-slices.png'/></div></div>
<hr/><div id='forward-time-slices' style='padding-left:20px;'><b>Forward spatial drawing of time-slices</b><div style='background-color:light-gray;'><img src='servant-forward-time-slices.png'/></div></div>
<hr/><div id='backward-statistics' style='padding-left:20px;'><b>Backward statistics</b><div style='background-color:light-gray;'>
<style>.wjson {background-color: lightgray; font-weight:bold; display: inline-block; padding:10px; } .wjson .name { font-weight: normal; color: red;} .wjson .value { font-weight: normal; color: green;}</style><div class='wjson'>{<br/>&nbsp;&nbsp;<span class='name'>channel</span>: <span class='value'>servant-backward</span><br/>&nbsp;&nbsp;<span class='name'>count</span>: <span class='value'>200</span><br/>&nbsp;&nbsp;<span class='name'>min</span>: <span class='value'>-1.95313</span><br/>&nbsp;&nbsp;<span class='name'>max</span>: <span class='value'>2.73457</span><br/>&nbsp;&nbsp;<span class='name'>mean</span>: <span class='value'>0.0205005</span><br/>&nbsp;&nbsp;<span class='name'>stdev</span>: <span class='value'>0.908311</span><br/>&nbsp;&nbsp;<span class='name'>skew</span>: <span class='value'>0.0727068</span><br/>&nbsp;&nbsp;<span class='name'>kurt</span>: <span class='value'>-0.798362</span><br/>&nbsp;&nbsp;<span class='name'>gamma-degree</span>: <span class='value'>1</span><br/>&nbsp;&nbsp;<span class='name'>gamma-rate</span>: <span class='value'>40.2443</span><br/>&nbsp;&nbsp;<span class='name'>uniform-entropy</span>: <span class='value'>1.65374</span><br/>&nbsp;&nbsp;<span class='name'>normal-entropy</span>: <span class='value'>1.97772</span><br/>&nbsp;&nbsp;<span class='name'>median</span>: <span class='value'>0</span><br/>&nbsp;&nbsp;<span class='name'>lower-quartile</span>: <span class='value'>-0.832507</span><br/>&nbsp;&nbsp;<span class='name'>upper-quartile</span>: <span class='value'>0.827898</span><br/>&nbsp;&nbsp;<span class='name'>inter-quartile-range</span>: <span class='value'>1.66041</span><br/>&nbsp;&nbsp;<span class='name'>hsize_from_standard_deviation</span>: <span class='value'>9</span><br/>&nbsp;&nbsp;<span class='name'>hsize_from_inter_quartile_range</span>: <span class='value'>8</span><br/>&nbsp;&nbsp;<span class='name'>hsize</span>: <span class='value'>8</span><br/>&nbsp;&nbsp;<span class='name'>hscale</span>: <span class='value'>1.49327</span><br/>&nbsp;&nbsp;<span class='name'>mode</span>: <span class='value'>-0.830724</span><br/>&nbsp;&nbsp;<span class='name'>median_</span>: <span class='value'>-0.00151588</span><br/>&nbsp;&nbsp;<span class='name'>lower-quartile_</span>: <span class='value'>-0.821617</span><br/>&nbsp;&nbsp;<span class='name'>upper-quartile_</span>: <span class='value'>0.864546</span><br/>&nbsp;&nbsp;<span class='name'>inter-quartile-range_</span>: <span class='value'>1.68616</span><br/>&nbsp;&nbsp;<span class='name'>entropy</span>: <span class='value'>1.77681</span><br/>&nbsp;&nbsp;<span class='name'>uniform-divergence</span>: <span class='value'>0.436928</span><br/>&nbsp;&nbsp;<span class='name'>normal-divergence</span>: <span class='value'>0.375568</span><br/>&nbsp;&nbsp;<span class='name'>gamma-1-divergence</span>: <span class='value'>1.65957</span><br/>&nbsp;&nbsp;<span class='name'>gamma-2-divergence</span>: <span class='value'>1.22892</span><br/>&nbsp;&nbsp;<span class='name'>gamma-5-divergence</span>: <span class='value'>0.798827</span><br/>&nbsp;&nbsp;<span class='name'>gamma-10-divergence</span>: <span class='value'>0.767219</span><br/>&nbsp;&nbsp;<span class='name'>best-model</span>: <span class='value'>0</span><br/>}</div>
</div></div>
<hr/><div id='backward-histogram' style='padding-left:20px;'><b>Global backward histogram</b><div style='background-color:light-gray;'><img src='servant-backward-histogram.png'/></div></div>
<hr/><div id='backward-unit-slices' style='padding-left:20px;'><b>Backward temporal drawing of unit-slices</b><div style='background-color:light-gray;'><img src='servant-backward-unit-slices.png'/></div></div>
<hr/><div id='backward-time-slices' style='padding-left:20px;'><b>Backward spatial drawing of time-slices</b><div style='background-color:light-gray;'><img src='servant-backward-time-slices.png'/></div></div>
<hr/><div id='weights-histogram' style='padding-left:20px;'><b>Weights histogram</b><div style='background-color:light-gray;'><img src='servant-weights-histogram.png'/></div></div>
<hr/><div id='upsilons' style='padding-left:20px;'><b>Upsilons adjustment</b><div style='background-color:light-gray;'><img src='servant-upsilons.png'/></div></div>
<hr/><div id='log' style='padding-left:20px;'><b>Output trace:</b><pre style='background-color:light-gray;'>
</pre></div>
</body></html>
